public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/guessit/
Date: Thu,  7 Jun 2018 11:10:03 +0000 (UTC)	[thread overview]
Message-ID: <1528368829.556adb027e9fa1f28ff9079209e0e0e2548374a8.mgorny@gentoo> (raw)

commit:     556adb027e9fa1f28ff9079209e0e0e2548374a8
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Thu May 31 17:34:24 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jun  7 10:53:49 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=556adb02

dev-python/guessit: verbump to 3.0.0

Package-Manager: Portage-2.3.40, Repoman-2.3.9
Closes: https://github.com/gentoo/gentoo/pull/8653

 dev-python/guessit/Manifest             |  1 +
 dev-python/guessit/guessit-3.0.0.ebuild | 47 +++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/guessit/Manifest b/dev-python/guessit/Manifest
index 1aa3e484697..f6ce6d2ea48 100644
--- a/dev-python/guessit/Manifest
+++ b/dev-python/guessit/Manifest
@@ -1 +1,2 @@
 DIST guessit-2.1.4.tar.gz 102907 BLAKE2B 3b3652f331498bbb365debf18c74f789b5c9e9c1f711481b0a392c73e9fbfa6628ec58f45ae482ee74cbd4c3d26662f2f1776d9b5fe19f35dec02e438c8b0901 SHA512 c6465c32a68d40698b75addb343d765e47b867dd7f9b8c912f70532a9e9ca54d0e40f70a393880347eea64535a65df5f79d83ea99dc996cd126ba91ca130a879
+DIST guessit-3.0.0.tar.gz 133379 BLAKE2B c9d7c2def91dc301944b951bfa32810b9efd2348fa9a016015dd75c03b407bf3e17cc5cb93baa1d4cc5b6fcb76790972f2bf7c14af2c0cad419f6a98bdda3d6c SHA512 87f19dc1c6b4f46fa1f2682f7c3bab91cf094df06904b8d9771159f346612b9d0adef4aef55315dd00d07787319d17008e936b125941abba5b869df6a91cb1c6

diff --git a/dev-python/guessit/guessit-3.0.0.ebuild b/dev-python/guessit/guessit-3.0.0.ebuild
new file mode 100644
index 00000000000..a0c510a842e
--- /dev/null
+++ b/dev-python/guessit/guessit-3.0.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for guessing information from video filenames"
+HOMEPAGE="https://github.com/guessit-io/guessit https://pypi.org/project/guessit/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+	>=dev-python/babelfish-0.5.5[${PYTHON_USEDEP}]
+	>=dev-python/rebulk-0.9.0[${PYTHON_USEDEP}]
+	dev-python/python-dateutil[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+	test? (
+		>=dev-python/pytest-3.4[${PYTHON_USEDEP}]
+		dev-python/pytest-runner[${PYTHON_USEDEP}]
+	)
+"
+
+python_prepare_all() {
+	# Disable benchmarks as they require unavailable pytest-benchmark.
+	rm guessit/test/test_benchmark.py || die
+	sed -i -e "s|'pytest-benchmark',||g" setup.py || die
+
+	# Disable unconditional dependency on dev-python/pytest-runner.
+	sed -i -e "s|'pytest-runner'||g" setup.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	esetup.py test
+}


             reply	other threads:[~2018-06-07 11:10 UTC|newest]

Thread overview: 88+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-06-07 11:10 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-18 16:10 [gentoo-commits] repo/gentoo:master commit in: dev-python/guessit/ Michał Górny
2023-12-30 16:18 Michał Górny
2023-12-30 14:51 Arthur Zamarin
2023-12-14 13:58 Michał Górny
2023-11-24 16:47 Arthur Zamarin
2023-06-01  4:07 Michał Górny
2023-03-25  5:18 Michał Górny
2023-03-25  1:43 Sam James
2023-02-20 15:22 Michał Górny
2023-02-19  4:32 Michał Górny
2022-12-10 15:46 Michał Górny
2022-11-02  7:37 Michał Górny
2022-06-22  7:59 Michał Górny
2022-06-22  6:53 Agostino Sarubbo
2022-05-19  7:32 Michał Górny
2022-04-22 10:47 Michał Górny
2021-12-10 17:46 Michał Górny
2021-12-10 16:14 Jakov Smolić
2021-12-10 15:44 Arthur Zamarin
2021-12-10 15:39 Arthur Zamarin
2021-11-09 10:23 Michał Górny
2021-11-06 10:59 Michał Górny
2021-06-05 19:00 Michał Górny
2021-03-15  9:00 Michał Górny
2021-03-15  7:10 Sam James
2021-03-07 22:39 Michał Górny
2021-03-07 19:46 Sam James
2021-02-06  8:59 Michał Górny
2021-02-03 23:23 Michał Górny
2021-02-01 17:23 Michał Górny
2021-02-01 15:07 Agostino Sarubbo
2020-12-24  0:19 Michał Górny
2020-10-27 19:58 Sam James
2020-10-27  5:11 Sam James
2020-08-02 19:05 Sam James
2020-08-02  6:46 Michał Górny
2020-05-21  8:06 Agostino Sarubbo
2020-05-21  7:53 Agostino Sarubbo
2020-05-03 16:09 Michał Górny
2020-05-03 16:09 Michał Górny
2020-05-03 16:09 Michał Górny
2020-03-25 12:08 Michał Górny
2020-03-25 12:08 Michał Górny
2020-02-04 13:32 Michał Górny
2019-03-08 20:53 Virgil Dupras
2019-03-02 23:42 Thomas Deutschmann
2019-02-22 10:23 Mikle Kolyada
2018-06-07 11:10 Michał Górny
2018-03-26 18:45 Aaron Bauman
2018-02-07 19:22 Michał Górny
2017-08-19  0:31 Thomas Deutschmann
2017-07-30  9:44 Michał Górny
2017-07-19 18:06 Tobias Klausmann
2017-07-07  8:05 Agostino Sarubbo
2017-06-11  8:50 Michael Palimaka
2017-06-11  8:50 Michael Palimaka
2017-06-11  8:50 Michael Palimaka
2017-06-11  8:50 Michael Palimaka
2017-06-11  8:50 Michael Palimaka
2017-05-31 16:36 Patrice Clement
2017-05-10 15:44 Agostino Sarubbo
2017-05-10  9:32 Agostino Sarubbo
2017-05-07 21:25 Patrice Clement
2017-04-08 21:22 Patrice Clement
2017-04-08 21:22 Patrice Clement
2017-01-16 10:15 Agostino Sarubbo
2017-01-16  9:49 Agostino Sarubbo
2016-12-26 10:18 Aaron Bauman
2016-12-10 23:04 David Seifert
2016-12-10 23:04 David Seifert
2016-12-10 23:04 David Seifert
2016-09-11 12:24 David Seifert
2016-09-11  8:56 David Seifert
2016-09-11  8:56 David Seifert
2016-09-11  8:56 David Seifert
2016-08-22 14:10 Göktürk Yüksek
2016-08-22 14:09 Göktürk Yüksek
2016-07-30  6:54 Patrice Clement
2016-07-30  6:54 Patrice Clement
2016-07-08 11:38 Patrice Clement
2016-05-31  7:51 Patrice Clement
2016-05-31  7:51 Patrice Clement
2016-05-31  7:51 Patrice Clement
2016-05-12 11:40 Ian Delaney
2016-05-12 11:40 Ian Delaney
2016-05-12 11:40 Ian Delaney
2016-04-05 19:48 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1528368829.556adb027e9fa1f28ff9079209e0e0e2548374a8.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox